VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "howto_resize_pics"
   ClientHeight    =   6075
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   7950
   LinkTopic       =   "Form1"
   ScaleHeight     =   6075
   ScaleWidth      =   7950
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox picResized 
      AutoRedraw      =   -1  'True
      BorderStyle     =   0  'None
      Height          =   495
      Left            =   5160
      ScaleHeight     =   495
      ScaleWidth      =   1215
      TabIndex        =   8
      Top             =   1200
      Visible         =   0   'False
      Width           =   1215
   End
   Begin VB.PictureBox picOriginal 
      AutoRedraw      =   -1  'True
      AutoSize        =   -1  'True
      BorderStyle     =   0  'None
      Height          =   495
      Left            =   5160
      ScaleHeight     =   495
      ScaleWidth      =   1215
      TabIndex        =   7
      Top             =   360
      Visible         =   0   'False
      Width           =   1215
   End
   Begin VB.CommandButton cmdGo 
      Caption         =   "Go"
      Default         =   -1  'True
      Height          =   375
      Left            =   2040
      TabIndex        =   6
      Top             =   480
      Width           =   735
   End
   Begin VB.TextBox txtScale 
      Alignment       =   1  'Right Justify
      Height          =   285
      Left            =   960
      TabIndex        =   5
      Text            =   "0.25"
      Top             =   480
      Width           =   615
   End
   Begin VB.PictureBox picVisible 
      AutoRedraw      =   -1  'True
      Height          =   2055
      Left            =   120
      ScaleHeight     =   1995
      ScaleWidth      =   4275
      TabIndex        =   3
      Top             =   960
      Width           =   4335
   End
   Begin VB.CommandButton cmdPickDirectory 
      Caption         =   "..."
      BeginProperty Font 
         Name            =   "Times New Roman"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   4200
      TabIndex        =   2
      Top             =   120
      Width           =   375
   End
   Begin VB.TextBox txtDirectory 
      Height          =   285
      Left            =   960
      TabIndex        =   1
      Top             =   120
      Width           =   3135
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Scale:"
      Height          =   195
      Index           =   1
      Left            =   120
      TabIndex        =   4
      Top             =   480
      Width           =   450
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Directory:"
      Height          =   195
      Index           =   0
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   675
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdPickDirectory_Click()
Dim str As String

    str = BrowseForDirectory(Me)
    If Len(str) > 0 Then txtDirectory.Text = str
End Sub

Private Sub Form_Load()
    RestorePosition Me, "howto_resize_pics"
    txtDirectory.Text = GetSetting("howto_resize_pics", "Settings", "Directory", App.Path)
    txtScale.Text = GetSetting("howto_resize_pics", "Settings", "Scale", "0.25")
End Sub

Private Sub Form_Unload(Cancel As Integer)
    SavePosition Me, "howto_resize_pics"
    SaveSetting "howto_resize_pics", "Settings", "Directory", txtDirectory.Text
    SaveSetting "howto_resize_pics", "Settings", "Scale", txtScale.Text
End Sub

Private Sub Form_Resize()
Dim wid As Single
Dim hgt As Single

    cmdPickDirectory.Left = ScaleWidth - cmdPickDirectory.Width - 120
    wid = cmdPickDirectory.Left - txtDirectory.Left - 120
    If wid < 120 Then wid = 120
    txtDirectory.Width = wid

    hgt = ScaleHeight - picVisible.Top - 120
    If hgt < 120 Then hgt = 120
    wid = ScaleWidth - 2 * 120
    If wid < 120 Then wid = 120
    picVisible.Move 120, picVisible.Top, wid, hgt
End Sub

' Process the pictures.
Private Sub cmdGo_Click()
Dim dir_name As String
Dim file_name As String
Dim ext As String
Dim pos As Integer
Dim the_scale As Single

    the_scale = Val(txtScale.Text)
    If the_scale <= 0 Then
        MsgBox "Scale must be greater than zero.", vbOKOnly, "Invalid Scale"
        Exit Sub
    End If

    On Error GoTo UnknownError

    Me.MousePointer = vbHourglass
    DoEvents

    dir_name = txtDirectory.Text
    If Right$(dir_name, 1) <> "\" Then dir_name = dir_name & "\"
    file_name = Dir$(dir_name & "*.*")
    Do While Len(file_name) > 0
        On Error GoTo FileError

        ' Get the file's extension.
        pos = InStrRev(file_name, ".")
        If pos = 0 Then
            ext = ""
        Else
            ext = LCase$(Mid$(file_name, pos))
        End If

        ' See if it's a graphic file.
        Select Case ext
            Case ".bmp", ".gif", ".jpg", ".jpeg"
                ' Load and display the image.
                Me.Caption = "howto_resize_pics - " & file_name
                picOriginal.Picture = LoadPicture(dir_name & file_name)
                picVisible.PaintPicture _
                    picOriginal.Picture, _
                    0, 0, picVisible.Width, picVisible.Height, _
                    0, 0, picOriginal.Width, picOriginal.Height
                DoEvents

                ' Resize the image.
                picResized.Cls
                picResized.Width = picOriginal.Width * the_scale
                picResized.Height = picOriginal.Height * the_scale
                picResized.PaintPicture picOriginal.Picture, _
                    0, 0, picResized.Width, picResized.Height, _
                    0, 0, picOriginal.Width, picOriginal.Height

                ' Save the resized image.
                file_name = Left$(file_name, Len(file_name) - Len(ext)) & _
                    "s.bmp"
                SavePicture picResized.Image, dir_name & file_name
        End Select

        ' Get the next file.
GetNextFile:
        file_name = Dir$()
    Loop

    picVisible.Picture = Nothing
    Me.MousePointer = vbDefault
    Me.Caption = "howto_resize_pics"
    Exit Sub

FileError:
    If MsgBox(Err.Description & vbCrLf & "Continue?", vbYesNo, "Error") = vbYes Then
        Resume GetNextFile
    Else
        picVisible.Picture = Nothing
        Me.MousePointer = vbDefault
        Me.Caption = "howto_resize_pics"
        Exit Sub
    End If

UnknownError:
    MsgBox Err.Description, vbOKOnly, "Error"
    picVisible.Picture = Nothing
    Me.MousePointer = vbDefault
    Me.Caption = "howto_resize_pics"
    Exit Sub
End Sub
